com.explodingpixels.macwidgets

## Class HudWindow

- java.lang.Object
- - com.explodingpixels.macwidgets.HudWindow

    public class HudWindow
    extends Object

An implementation of an OS X Transparent Panel, also known as a Heads Up Display (HUD). For a full descrption of what a Transparent Panel is, see the Transparent Panels section of Apple's Human Interface Guidelines.

HUD's are designed to offer a lightweight way to unobtrusivley offer controls to the user. The window looks like this:

As Apple points out, this component is not appropriate for all situations and should be used judiciously.

### Constructor Summary

Constructors
Constructor and Description
`HudWindow()` Creates a Heads Up Display style window.
`HudWindow(String title)` Creates a Heads Up Display style window.
`HudWindow(String title, Frame owner)` Creates a Heads Up Display style window.

### Method Summary

Methods
`JComponent` `getContentPane()` Gets the `JComponent` to add content to.
`JDialog` `getJDialog()` Gets the `JDialog` backing this `HudWindow`.
`void` `hideCloseButton()` Hides the close button on this HUD's title bar.
`void` `makeResizeable()` Makes this HUD resizeable.
`void` `setContentPane(JComponent contentPane)` Sets the `JComponent` to use as the container for this `HudWindow`'s content.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HudWindow

    public HudWindow()

Creates a Heads Up Display style window.

#### HudWindow

    public HudWindow(String title)

Creates a Heads Up Display style window.

Parameters:
  `title` - the title to use for this window.

#### HudWindow

    public HudWindow(String title,
             Frame owner)

Creates a Heads Up Display style window.

Parameters:
  `title` - the title to use for this window.
  `owner` - the `Frame` that this HUD is parented to. Can be null.

### Method Detail

#### getJDialog

    public JDialog getJDialog()

Gets the `JDialog` backing this `HudWindow`.

Returns:
  the `JDialog` backing this `HudWindow`.

#### hideCloseButton

    public void hideCloseButton()

Hides the close button on this HUD's title bar.

#### makeResizeable

    public void makeResizeable()

Makes this HUD resizeable. Note that there is currently a bug in the Mac JRE which causes a very bad flicker when a window is programmatically resized. For now, it's suggested that you do not use this method unless you are on a non-Mac platform.

#### getContentPane

    public JComponent getContentPane()

Gets the `JComponent` to add content to.

Returns:
  the container to add content to.

#### setContentPane

    public void setContentPane(JComponent contentPane)

Sets the `JComponent` to use as the container for this `HudWindow`'s content.

Parameters:
  `contentPane` - the container for this `HudWindow`'s content.